Ext.data.JsonP.Ext_tip_QuickTipManager({"tagname":"class","name":"Ext.tip.QuickTipManager","autodetected":{"aliases":true,"alternateClassNames":true,"extends":true,"mixins":true,"requires":true,"uses":true,"members":true,"code_type":true},"files":[{"filename":"QuickTipManager.js","href":"QuickTipManager.html#Ext-tip-QuickTipManager"}],"singleton":true,"aliases":{},"alternateClassNames":["Ext.QuickTips"],"extends":"Ext.Base","mixins":[],"requires":["Ext.tip.QuickTip"],"uses":[],"members":[{"name":"disabled","tagname":"property","owner":"Ext.tip.QuickTipManager","id":"property-disabled","meta":{"private":true}},{"name":"ddDisable","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-ddDisable","meta":{"private":true}},{"name":"ddEnable","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-ddEnable","meta":{"private":true}},{"name":"destroy","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-destroy","meta":{}},{"name":"disable","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-disable","meta":{}},{"name":"enable","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-enable","meta":{}},{"name":"getQuickTip","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-getQuickTip","meta":{}},{"name":"init","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-init","meta":{}},{"name":"isEnabled","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-isEnabled","meta":{}},{"name":"register","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-register","meta":{}},{"name":"tips","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-tips","meta":{}},{"name":"unregister","tagname":"method","owner":"Ext.tip.QuickTipManager","id":"method-unregister","meta":{}}],"code_type":"ext_define","id":"class-Ext.tip.QuickTipManager","short_doc":"Provides attractive and customizable tooltips for any element. ...","component":false,"superclasses":["Ext.Base"],"subclasses":[],"mixedInto":[],"parentMixins":[],"html":"<div><pre class=\"hierarchy\"><h4>Alternate names</h4><div class='alternate-class-name'>Ext.QuickTips</div><h4>Hierarchy</h4><div class='subclass first-child'>Ext.Base<div class='subclass '><strong>Ext.tip.QuickTipManager</strong></div></div><h4>Requires</h4><div class='dependency'>Ext.tip.QuickTip</div><h4>Files</h4><div class='dependency'><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager' target='_blank'>QuickTipManager.js</a></div></pre><div class='doc-contents'><p>Provides attractive and customizable tooltips for any element. The QuickTips\nsingleton is used to configure and manage tooltips globally for multiple elements\nin a generic manner.  To create individual tooltips with maximum customizability,\nyou should consider either Ext.tip.Tip or Ext.tip.ToolTip.</p>\n\n<p>Quicktips can be configured via tag attributes directly in markup, or by\nregistering quick tips programmatically via the <a href=\"#!/api/Ext.tip.QuickTipManager-method-register\" rel=\"Ext.tip.QuickTipManager-method-register\" class=\"docClass\">register</a> method.</p>\n\n<p>The singleton's instance of Ext.tip.QuickTip is available via\n<a href=\"#!/api/Ext.tip.QuickTipManager-method-getQuickTip\" rel=\"Ext.tip.QuickTipManager-method-getQuickTip\" class=\"docClass\">getQuickTip</a>, and supports all the methods, and all the all the\nconfiguration properties of Ext.tip.QuickTip. These settings will apply to all\ntooltips shown by the singleton.</p>\n\n<p>Below is the summary of the configuration properties which can be used.\nFor detailed descriptions see the config options for the\nQuickTip class</p>\n\n<h2>QuickTips singleton configs (all are optional)</h2>\n\n<ul>\n<li><code>dismissDelay</code></li>\n<li><code>hideDelay</code></li>\n<li><code>maxWidth</code></li>\n<li><code>minWidth</code></li>\n<li><code>showDelay</code></li>\n<li><code>trackMouse</code></li>\n</ul>\n\n\n<h2>Target element configs (optional unless otherwise noted)</h2>\n\n<ul>\n<li><code>autoHide</code></li>\n<li><code>cls</code></li>\n<li><code>dismissDelay</code> (overrides singleton value)</li>\n<li><code>target</code> (required)</li>\n<li><code>text</code> (required)</li>\n<li><code>title</code></li>\n<li><code>width</code></li>\n</ul>\n\n\n<p>Here is an example showing how some of these config options could be used:</p>\n\n<pre class='inline-example '><code>// Init the singleton.  Any tag-based quick tips will start working.\n<a href=\"#!/api/Ext.tip.QuickTipManager-method-init\" rel=\"Ext.tip.QuickTipManager-method-init\" class=\"docClass\">Ext.tip.QuickTipManager.init</a>();\n\n// Apply a set of config properties to the singleton\nExt.apply(<a href=\"#!/api/Ext.tip.QuickTipManager-method-getQuickTip\" rel=\"Ext.tip.QuickTipManager-method-getQuickTip\" class=\"docClass\">Ext.tip.QuickTipManager.getQuickTip</a>(), {\n    maxWidth: 200,\n    minWidth: 100,\n    showDelay: 50      // Show 50ms after entering target\n});\n\n// Create a small panel to add a quick tip to\nExt.create('<a href=\"#!/api/Ext.container.Container\" rel=\"Ext.container.Container\" class=\"docClass\">Ext.container.Container</a>', {\n    id: 'quickTipContainer',\n    width: 200,\n    height: 150,\n    style: {\n        backgroundColor:'#000000'\n    },\n    renderTo: Ext.getBody()\n});\n\n\n// Manually register a quick tip for a specific element\n<a href=\"#!/api/Ext.tip.QuickTipManager-method-register\" rel=\"Ext.tip.QuickTipManager-method-register\" class=\"docClass\">Ext.tip.QuickTipManager.register</a>({\n    target: 'quickTipContainer',\n    title: 'My Tooltip',\n    text: 'This tooltip was added in code',\n    width: 100,\n    dismissDelay: 10000 // Hide after 10 seconds hover\n});\n</code></pre>\n\n<p>To register a quick tip in markup, you simply add one or more of the valid QuickTip\nattributes prefixed with the <strong>data-</strong> namespace.  The HTML element itself is\nautomatically set as the quick tip target. Here is the summary of supported attributes\n(optional unless otherwise noted):</p>\n\n<ul>\n<li><code>hide</code>: Specifying \"user\" is equivalent to setting autoHide = false.\n Any other value will be the same as autoHide = true.</li>\n<li><code>qclass</code>: A CSS class to be applied to the quick tip\n (equivalent to the 'cls' target element config).</li>\n<li><code>qtip (required)</code>: The quick tip text (equivalent to the 'text' target element config).</li>\n<li><code>qtitle</code>: The quick tip title (equivalent to the 'title' target element config).</li>\n<li><code>qwidth</code>: The quick tip width (equivalent to the 'width' target element config).</li>\n</ul>\n\n\n<p>Here is an example of configuring an HTML element to display a tooltip from markup:</p>\n\n<pre><code>// Add a quick tip to an HTML button\n&lt;input type=\"button\" value=\"OK\" data-qtitle=\"OK Button\" data-qwidth=\"100\"\n     data-qtip=\"This is a quick tip from markup!\"&gt;&lt;/input&gt;\n</code></pre>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-disabled' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-property-disabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-property-disabled' class='name expandable'>disabled</a> : Boolean<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-ddDisable' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-ddDisable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-ddDisable' class='name expandable'>ddDisable</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Protected method called by the dd classes ...</div><div class='long'><p>Protected method called by the dd classes</p>\n</div></div></div><div id='method-ddEnable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-ddEnable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-ddEnable' class='name expandable'>ddEnable</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Protected method called by the dd classes ...</div><div class='long'><p>Protected method called by the dd classes</p>\n</div></div></div><div id='method-destroy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Destroys the QuickTips instance. ...</div><div class='long'><p>Destroys the QuickTips instance.</p>\n</div></div></div><div id='method-disable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-disable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-disable' class='name expandable'>disable</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Disables quick tips globally. ...</div><div class='long'><p>Disables quick tips globally.</p>\n</div></div></div><div id='method-enable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-enable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-enable' class='name expandable'>enable</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Enables quick tips globally. ...</div><div class='long'><p>Enables quick tips globally.</p>\n</div></div></div><div id='method-getQuickTip' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-getQuickTip' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-getQuickTip' class='name expandable'>getQuickTip</a>( <span class='pre'></span> ) : Ext.tip.QuickTip<span class=\"signature\"></span></div><div class='description'><div class='short'>Gets the single QuickTip instance used to show tips\nfrom all registered elements. ...</div><div class='long'><p>Gets the single QuickTip instance used to show tips\nfrom all registered elements.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Ext.tip.QuickTip</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-init' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-init' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-init' class='name expandable'>init</a>( <span class='pre'>[autoRender], [config]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Initializes the global QuickTips instance and prepare any quick tips. ...</div><div class='long'><p>Initializes the global QuickTips instance and prepare any quick tips.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>autoRender</span> : Boolean (optional)<div class='sub-desc'><p>True to render the QuickTips container\nimmediately to preload images.</p>\n<p>Defaults to: <code>true</code></p></div></li><li><span class='pre'>config</span> : Object (optional)<div class='sub-desc'><p>config object for the created QuickTip. By\ndefault, the QuickTip class is instantiated, but this can\nbe changed by supplying an xtype property or a className property in this object.\nAll other properties on this object are configuration for the created component.</p>\n</div></li></ul></div></div></div><div id='method-isEnabled' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-isEnabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-isEnabled' class='name expandable'>isEnabled</a>( <span class='pre'></span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if quick tips are enabled, else false. ...</div><div class='long'><p>Returns true if quick tips are enabled, else false.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-register' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-register' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-register' class='name expandable'>register</a>( <span class='pre'>config</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Configures a new quick tip instance and assigns it to a target element. ...</div><div class='long'><p>Configures a new quick tip instance and assigns it to a target element.  See\nExt.tip.QuickTip.register for details.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>The config object</p>\n\n</div></li></ul></div></div></div><div id='method-tips' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-tips' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-tips' class='name expandable'>tips</a>( <span class='pre'>config</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias of register. ...</div><div class='long'><p>Alias of <a href=\"#!/api/Ext.tip.QuickTipManager-method-register\" rel=\"Ext.tip.QuickTipManager-method-register\" class=\"docClass\">register</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : Object<div class='sub-desc'><p>The config object</p>\n\n</div></li></ul></div></div></div><div id='method-unregister' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tip.QuickTipManager'>Ext.tip.QuickTipManager</span><br/><a href='source/QuickTipManager.html#Ext-tip-QuickTipManager-method-unregister' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tip.QuickTipManager-method-unregister' class='name expandable'>unregister</a>( <span class='pre'>el</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes any registered quick tip from the target element and destroys it. ...</div><div class='long'><p>Removes any registered quick tip from the target element and destroys it.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>el</span> : String/HTMLElement/Ext.dom.Element<div class='sub-desc'><p>The element from which the quick tip\nis to be removed or ID of the element.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});